> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Search TDS certificate jobs

> Search Form 130, 131, or 133 certificate jobs by TAN, tax year, quarter, and status.



## OpenAPI

````yaml api-reference/tds/compliance/openapi.json POST /tds/compliance/traces/deductors/forms/{certificate_type}/search
openapi: 3.1.0
info:
  title: compliance
  description: >-
    Tax Deducted at Source (TDS) is an indirect method of collecting Income Tax.
    TDS is based on the principle of “Pay as you earn” which is beneficial for
    both the Government and the taxpayer. It is where a person making a payment
    of specified nature is liable to deduct tax at a prescribed rate. This
    ensures continuous revenue for the Government by way of Tax Deducted at the
    Source.


    The Payer making a payment is also responsible to deposit TDS with the
    Income Tax Department within a specified date and file a TDS Return. Once
    filed, the deposited amount will be shown in the Payee's Form 26AS which
    they can then use to claim tax credits when filing ITR.


    However, staying TDS compliant can be a hassle for businesses, as they are
    required to :


    1. Deduct TDS from payments that are liable for TDS Deduction at an
    appropriate rate.
        
    2. Deposit TDS to Government before the due date.
        
    3. File TDS Returns on a Quarterly basis.
        
    4. Issue a TDS Certificate by the deductor to the deductee.
        

    Organizations deducting TDS have to remain compliant with each of the steps.
    Failure to do so results in TDS Penalties by Authorities. Sandbox provides
    TDS Compliance APIs to help you automate end-to-end TDS compliance.
  version: 1.0.0
servers:
  - url: https://test-api.sandbox.co.in
  - url: https://api.sandbox.co.in
security: []
tags:
  - name: TDS Compliance Check
  - name: Download CSI
  - name: FVU Generation
  - name: E-File TDS Return
  - name: TDS
  - name: TDS Certificate
  - name: TRACES Credentials
paths:
  /tds/compliance/traces/deductors/forms/{certificate_type}/search:
    post:
      tags:
        - TDS
        - TDS Certificate
      summary: Search certificate jobs
      description: >-
        Search certificate generation jobs by certificate type, TAN, tax year,
        quarter, form, and status. Use the returned pagination key to request
        the next page.
      operationId: SearchCertificateJobs
      parameters:
        - name: certificate_type
          in: path
          description: >-
            Certificate type. Use 130 for salary TDS, 131 for other TDS, or 133
            for TCS.
          required: true
          example: '131'
          schema:
            type: string
            enum:
              - '130'
              - '131'
              - '133'
        - name: x-api-version
          in: header
          description: API version for the request.
          required: false
          example: '{{api_version}}'
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key used to identify and authenticate the client.
          required: true
          example: '{{api_key}}'
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            JWT access token. For token-generation steps, refer to the
            [Quickstart
            Guide](https://developer.sandbox.co.in/guides/get-started/quickstart).
          required: true
          example: '{{access_token}}'
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CertificateJobSearchRequest'
            examples:
              Success:
                value:
                  '@entity': in.co.sandbox.tds.compliance.certificate.job.search
                  tan: AHMS45586C
                  tax_year: TY 2026-27
                  quarter: Q1
                  form: '131'
                  page_size: 5
                summary: Success
              Success with Last evaluated key:
                value:
                  '@entity': in.co.sandbox.tds.compliance.certificate.job.search
                  tan: AHMS45586C
                  tax_year: TY 2026-27
                  quarter: Q1
                  form: '131'
                  page_size: 5
                  last_evaluated_key: >-
                    eyJqb2JfaWQiOiI3NDVjZGU1Ny03YTZhLTQyZGItYjk0MC1lODNlZWE2YjgxN2IiLCJ3b3Jrc3BhY2VfaWQiOiJkYzQ5NTdlZC1kZTBlLTQyYzctODBkZC04MjIxY2VlOGNkYTAiLCJjcmVhdGVkX2F0IjoxNzg4NzYzNzI5OTEwfQ==
                summary: Success with Last evaluated key
              Success without jobs:
                value:
                  '@entity': in.co.sandbox.tds.compliance.certificate.job.search
                  tan: AHMS45586C
                  tax_year: TY 2026-27
                  quarter: Q1
                  form: '130'
                  page_size: 5
                summary: Success without jobs
              Failure Invalid Request Body:
                value:
                  '@entity': in.co.sandbox.tds.compliance.certificate.job.search
                  tan: AHMS45586C
                  tax_year: FY 2026-27
                  quarter: Q1
                  form: '130'
                  page_size: 5
                summary: Failure Invalid Request Body
        required: true
      responses:
        '200':
          description: Certificate generation jobs returned.
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                        description: Response entity type.
                      items:
                        type: array
                        description: Certificate jobs that match the search criteria.
                        items:
                          type: object
                          properties:
                            '@entity':
                              type: string
                              description: Certificate job entity type.
                            job_id:
                              type: string
                              description: Unique identifier for the certificate job.
                            tan:
                              type: string
                              description: >-
                                Tax Deduction and Collection Account Number
                                (TAN) associated with the certificate job.
                            tax_year:
                              type: string
                              description: Tax year for the certificate job.
                            quarter:
                              type: string
                              description: Quarter of the tax year.
                            form:
                              type: string
                              description: Certificate form used for the job.
                              enum:
                                - '130'
                                - '131'
                                - '133'
                            created_at:
                              type: integer
                              description: Unix timestamp when the job was created.
                            updated_at:
                              type: integer
                              description: Unix timestamp when the job was last updated.
                            status:
                              type: string
                              description: >-
                                Current status of the certificate generation
                                job.
                              enum:
                                - created
                                - queued
                                - in_progress
                                - succeeded
                                - failed
                            message:
                              type: string
                              description: >-
                                Reason the certificate job failed, when
                                applicable.
                          required:
                            - '@entity'
                            - job_id
                            - tan
                            - tax_year
                            - quarter
                            - form
                            - created_at
                            - updated_at
                            - status
                      last_evaluated_key:
                        type: string
                        description: >-
                          Opaque pagination cursor. Send this value in the next
                          search request to retrieve the next page.
                    required:
                      - '@entity'
                      - items
                required:
                  - code
                  - timestamp
                  - transaction_id
                  - data
              examples:
                Success:
                  summary: Success
                  value:
                    code: 200
                    timestamp: 1788772736810
                    data:
                      '@entity': in.co.sandbox.tds.compliance.certificate.paginated_list
                      last_evaluated_key: >-
                        eyJqb2JfaWQiOiI3NDVjZGU1Ny03YTZhLTQyZGItYjk0MC1lODNlZWE2YjgxN2IiLCJ3b3Jrc3BhY2VfaWQiOiJkYzQ5NTdlZC1kZTBlLTQyYzctODBkZC04MjIxY2VlOGNkYTAiLCJjcmVhdGVkX2F0IjoxNzg4NzYzNzI5OTEwfQ==
                      items:
                        - created_at: 1788771384109
                          updated_at: 1788771389188
                          '@entity': in.co.sandbox.tds.compliance.certificate.job
                          job_id: 518bf6d5-be9d-4723-8fee-2382919fb605
                          tan: AHMS45586C
                          tax_year: TY 2026-27
                          quarter: Q1
                          form: '131'
                          message: Invalid credentials
                          status: failed
                        - created_at: 1788765755936
                          updated_at: 1788765759820
                          '@entity': in.co.sandbox.tds.compliance.certificate.job
                          job_id: 70c7df85-8860-4d61-b168-4881cb48792f
                          tan: AHMS45586C
                          tax_year: TY 2026-27
                          quarter: Q1
                          form: '131'
                          message: Credentials not found
                          status: failed
                        - created_at: 1788764647784
                          updated_at: 1788764647806
                          '@entity': in.co.sandbox.tds.compliance.certificate.job
                          job_id: 55efc3fb-900c-4066-945e-a1b32d9f4d45
                          tan: AHMS45586C
                          tax_year: TY 2026-27
                          quarter: Q1
                          form: '131'
                          status: succeeded
                        - created_at: 1788764478529
                          updated_at: 1788764480520
                          '@entity': in.co.sandbox.tds.compliance.certificate.job
                          job_id: 26a67dd9-70a8-4ec6-be9a-869191cbd9bf
                          tan: AHMS45586C
                          tax_year: TY 2026-27
                          quarter: Q1
                          form: '131'
                          status: succeeded
                        - created_at: 1788763729910
                          updated_at: 1788763734899
                          '@entity': in.co.sandbox.tds.compliance.certificate.job
                          job_id: 745cde57-7a6a-42db-b940-e83eea6b817b
                          tan: AHMS45586C
                          tax_year: TY 2026-27
                          quarter: Q1
                          form: '131'
                          status: succeeded
                    transaction_id: 95380870-0b99-492f-8fb1-4580af105ad3
                Success with Last evaluated key:
                  summary: Success with Last evaluated key
                  value:
                    code: 200
                    timestamp: 1788772789304
                    data:
                      '@entity': in.co.sandbox.tds.compliance.certificate.paginated_list
                      last_evaluated_key: >-
                        eyJ3b3Jrc3BhY2VfaWQiOiJkYzQ5NTdlZC1kZTBlLTQyYzctODBkZC04MjIxY2VlOGNkYTAiLCJjcmVhdGVkX2F0IjoxNzg4NzA0OTg0MjM0LCJqb2JfaWQiOiJhZDcxNGFkMy03Y2QyLTQ2YWEtYTNiMy1jZTY2Njg2MDMxN2YifQ==
                      items:
                        - created_at: 1788762771957
                          updated_at: 1788762775867
                          '@entity': in.co.sandbox.tds.compliance.certificate.job
                          job_id: b88f494e-e60c-407c-aca4-09676d1c1f9b
                          tan: AHMS45586C
                          tax_year: TY 2026-27
                          quarter: Q1
                          form: '131'
                          message: Failed to submit the certificate job
                          status: failed
                        - created_at: 1788761715040
                          updated_at: 1788761718733
                          '@entity': in.co.sandbox.tds.compliance.certificate.job
                          job_id: b2050206-7c13-4669-a82a-ce58b5622585
                          tan: AHMS45586C
                          tax_year: TY 2026-27
                          quarter: Q1
                          form: '131'
                          status: succeeded
                        - created_at: 1788713969000
                          updated_at: 1788713973336
                          '@entity': in.co.sandbox.tds.compliance.certificate.job
                          job_id: 94f0447c-62d4-4521-8af7-390de5c837d1
                          tan: AHMS45586C
                          tax_year: TY 2026-27
                          quarter: Q1
                          form: '131'
                          status: succeeded
                        - created_at: 1788713289073
                          updated_at: 1788713294413
                          '@entity': in.co.sandbox.tds.compliance.certificate.job
                          job_id: 5d3a9031-46c7-4fa9-b2f5-cac1fccf4d95
                          tan: AHMS45586C
                          tax_year: TY 2026-27
                          quarter: Q1
                          form: '131'
                          message: Failed to submit the certificate job
                          status: failed
                        - created_at: 1788704984234
                          updated_at: 1788704988663
                          '@entity': in.co.sandbox.tds.compliance.certificate.job
                          job_id: ad714ad3-7cd2-46aa-a3b3-ce666860317f
                          tan: AHMS45586C
                          tax_year: TY 2026-27
                          quarter: Q1
                          form: '131'
                          message: Failed to submit the certificate job
                          status: failed
                    transaction_id: d1ff4c62-8aa7-4ae6-8b4d-1c46727e58e2
                Success without jobs:
                  summary: Success without jobs
                  value:
                    code: 200
                    timestamp: 1788773983947
                    data:
                      '@entity': in.co.sandbox.tds.compliance.certificate.paginated_list
                      items: []
                    transaction_id: 04c20a08-c90c-495c-8404-4eeb827c766b
          headers: {}
        '400':
          description: Invalid request body.
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  message:
                    type: string
                  transaction_id:
                    type: string
                required:
                  - code
                  - timestamp
                  - message
                  - transaction_id
              examples:
                Failure Invalid Request Body:
                  summary: Failure Invalid Request Body
                  value:
                    code: 400
                    timestamp: 1788774038411
                    message: Invalid request body
                    transaction_id: 3d6295b8-901e-404c-950b-da09692f46e9
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    CertificateJobSearchRequest:
      type: object
      description: Filters used to search certificate generation jobs.
      properties:
        '@entity':
          type: string
          description: Search request entity type.
          examples:
            - in.co.sandbox.tds.compliance.certificate.job.search
        tan:
          type: string
          description: Tax Deduction and Collection Account Number (TAN).
          examples:
            - AHMS45586C
        tax_year:
          type: string
          description: Tax year used to filter certificate jobs. Use the TY YYYY-YY format.
          examples:
            - TY 2026-27
        quarter:
          type: string
          description: Quarter used to filter certificate jobs.
          enum:
            - Q1
            - Q2
            - Q3
            - Q4
        form:
          type: string
          description: >-
            Certificate form used to filter jobs. Use 130 for salary TDS, 131
            for other TDS, or 133 for TCS.
          enum:
            - '130'
            - '131'
            - '133'
        status:
          type: string
          description: Job status used to filter results.
          enum:
            - created
            - queued
            - in_progress
            - succeeded
            - failed
        page_size:
          type: integer
          description: Maximum number of jobs to return.
          minimum: 1
        last_evaluated_key:
          type: string
          description: Pagination key returned by the previous search response.
      required:
        - '@entity'
        - tan
        - tax_year
        - quarter
        - form
        - page_size

````